# verifySignature()

**Method signature**

```dart
bool verifySignature(String publicKey, String message, String signature);
```

**Parameters**

| Name      | Type   | Description                        |
| --------- | ------ | ---------------------------------- |
| publicKey | String | Public key in hexadecimal format.  |
| message   | String | Message that you want to verify    |
| signature | String | Signature that you want to compare |

**Example**

```dart
import 'package:circular_api/circular_api.dart';

void main() {
  final circular = CircularAPI();
  final publicKey = "04b92abae6932e0faa578231fe4f6d83237acccb09f5343a5455abfaf8e2091a989e64dae6e4ebb9f6a1be5bd48d0bab6dbc99641514f19ee43052ab27178fd9ce";
  final message = "Hello, World!";
  final signature = "6aa65e46e2db7fe30c7ea68c931e26f1a97f60f35745b25b1baec250f62432e670b0267dd7e3d78e02e5dc6fc2db0aa720d6db617b9cb251403aec5aec03e582";
  
  final isVerified = circular.verifySignature(publicKey, message, signature);
  print(signedMessage);
}
```

**Result**

The result will be a boolean object.

```
true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/dart/verifysignature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
